# Update a callback configuration

The endpoint updates the callback configuration with specified project ID

Endpoint: PUT /v1/projects/{projectId}/callback-configuration
Version: 1.0.0
Security: OAuth2

## Path parameters:

  - `projectId` (string, required)
    Customer's project id

## Request fields (application/json):

  - `hmacSecret` (string)
    The HMAC secret to be updated for the specified project
    Example: "d1c7ccbf-919d-462f-8587-dec95a1b11ee"

## Response 200 fields (application/json):

  - `hmacSecret` (string)
    The HMAC secret used for hashing the callback body using the HMAC-SHA1 algorithm - and for creating the X-Sinch-Signature header.
    Example: "d1c7ccbf-919d-462f-8587-dec95a1b11ee"

  - `projectId` (string)

## Response 400 fields (application/json):

  - `error` (object)

  - `error.code` (integer)

  - `error.details` (array)

  - `error.message` (string)

  - `error.status` (string)


